> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate transcript evaluation

> Estimate the cost of running the specified evaluation for transcript matching the provided filters.



## OpenAPI

````yaml /specs/analytics/openapi.public.json post /v1/transcript-evaluation/estimate
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript-evaluation/estimate:
    post:
      tags:
        - Transcript evaluation
        - Public-Docs
      summary: Estimate transcript evaluation
      description: >-
        Estimate the cost of running the specified evaluation for transcript
        matching the provided filters.
      operationId: TranscriptEvaluationPublicController_estimate_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  description: >-
                    Filter transcripts based on properties and evaluation
                    results.
                  maxItems: 50
                  allOf:
                    - $ref: '#/components/schemas/TranscriptFilterArray'
                endDate:
                  description: Select transcripts that were started before a specific date.
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                sessionID:
                  description: Select transcripts by sessionID.
                  type: string
                startDate:
                  description: Select transcripts that were started after a specific date.
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                updatedAfter:
                  description: >-
                    Select transcripts that were last updated at or after a
                    specific date.
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                updatedBefore:
                  description: >-
                    Select transcripts that were last updated at or before a
                    specific date.
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                environmentID:
                  deprecated: true
                  description: >-
                    @deprecated use versionID and projectEnvironmentIDOrAlias
                    instead
                  anyOf:
                    - type: string
                    - minItems: 1
                      maxItems: 2
                      type: array
                      items:
                        $ref: '#/components/schemas/VersionTag'
                versionID:
                  type: string
                projectEnvironmentIDOrAlias:
                  type: string
                evaluationIDs:
                  minItems: 1
                  type: array
                  items:
                    type: string
                    minLength: 24
                    maxLength: 24
              required:
                - evaluationIDs
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EstimateTranscriptEvaluationResponse'
      security:
        - auth: []
components:
  schemas:
    TranscriptFilterArray:
      type: array
      items:
        $ref: '#/components/schemas/TranscriptFilter'
    VersionTag:
      type: string
      enum:
        - development
        - staging
        - production
      deprecated: true
      description: '@deprecated use versionID instead'
      x-enumNames:
        - DEVELOPMENT
        - STAGING
        - PRODUCTION
    EstimateTranscriptEvaluationResponse:
      type: object
      properties:
        totalCost:
          type: number
        breakdown:
          type: object
          properties:
            transcriptCount:
              type: number
            evaluations:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  cost:
                    type: number
                required:
                  - id
                  - cost
          required:
            - transcriptCount
            - evaluations
      required:
        - totalCost
        - breakdown
      additionalProperties: false
    TranscriptFilter:
      oneOf:
        - type: object
          properties:
            id:
              type: string
            op:
              type: string
              enum:
                - gt
                - gte
                - lt
                - lte
              x-enumNames:
                - GREATER_THAN
                - GREATER_THAN_OR_EQUAL
                - LESS_THAN
                - LESS_THAN_OR_EQUAL
            value:
              type: number
          required:
            - id
            - op
            - value
        - type: object
          properties:
            id:
              type: string
            op:
              type: string
              enum:
                - eq
                - neq
              x-enumNames:
                - EQUALS
                - NOT_EQUALS
            value:
              anyOf:
                - anyOf:
                    - type: string
                    - type: number
                - type: boolean
          required:
            - id
            - op
            - value
        - type: object
          properties:
            id:
              type: string
            op:
              type: string
              enum:
                - between
              x-enumNames:
                - BETWEEN
            value:
              type: array
              items:
                anyOf:
                  - type: number
                  - type: number
              minItems: 2
              maxItems: 2
          required:
            - id
            - op
            - value
        - type: object
          properties:
            id:
              type: string
            op:
              type: string
              enum:
                - in
                - nin
              x-enumNames:
                - IN
                - NOT_IN
            value:
              type: array
              items:
                anyOf:
                  - type: string
                  - type: number
          required:
            - id
            - op
            - value
        - type: object
          properties:
            id:
              type: string
            op:
              type: string
              enum:
                - contains
              x-enumNames:
                - CONTAINS
            value:
              type: string
          required:
            - id
            - op
            - value
        - type: object
          properties:
            id:
              type: string
            op:
              type: string
              enum:
                - exists
                - not_exists
              x-enumNames:
                - EXISTS
                - NOT_EXISTS
          required:
            - id
            - op
        - type: object
          properties:
            id:
              type: string
            op:
              type: string
              enum:
                - json_contains
              x-enumNames:
                - JSONB_ARRAY_CONTAINS
            value:
              type: array
              items:
                type: object
                additionalProperties: {}
          required:
            - id
            - op
            - value
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````